%define upstream_name    Log-Contextual-LogDispatchouli
%define upstream_version 0.001000

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Proxy Log::Dispatchouli without getting wrong carp levels
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Log/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Log::Contextual)
BuildRequires: perl(Log::Contextual::Router)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Moo)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
Log::Dispatchouli doesn't need much to get it to work with Log::Contextual
however, it has one teeny annoying quirk in that its stack traces are
always off by one.

Which has two primary side effects:

* 1. Under Log::Contextual, it shows errors coming from 'LC', not 'LC''s
  caller ( Useless )

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.1.0-5.mga10
+ Revision: 2208456
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.1.0-4.mga9
+ Revision: 1818867
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.1.0-3.mga8
+ Revision: 1504980
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.1.0-2.mga7
+ Revision: 1284515
- Mageia 7 Mass Rebuild

* Tue Apr 10 2018 kekepower <kekepower> 0.1.0-1.mga7
+ Revision: 1217193
- imported package perl-Log-Contextual-LogDispatchouli


* Tue Apr 10 2018 cpan2dist 0.001000-1mga
- initial mageia release, generated with cpan2dist
